#define CYCLES_PER_MS 6666  // ish

/** waits a general amount of time */
void busy_sleep(int ms) {
  for (int i = 0; i < ms; ++i) {
    // wait for 1 ms
    for (int i = 0; i < CYCLES_PER_MS; ++i) {
      // nothing
    }
  }
}
